
From: Jeff Dike <jdike@addtoit.com>

These ugly double-casts are the result of gdb complaining about size

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Cc: Paolo Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/os-Linux/aio.c     |    2 +-
 arch/um/os-Linux/elf_aux.c |    4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff -puN arch/um/os-Linux/aio.c~uml-remove-some-build-warnings arch/um/os-Linux/aio.c
--- devel/arch/um/os-Linux/aio.c~uml-remove-some-build-warnings	2005-09-14 22:25:07.000000000 -0700
+++ devel-akpm/arch/um/os-Linux/aio.c	2005-09-14 22:25:07.000000000 -0700
@@ -142,7 +142,7 @@ static int aio_thread(void *arg)
                                "errno = %d\n", errno);
                 }
                 else {
-			aio = (struct aio_context *) event.data;
+			aio = (struct aio_context *) (long) event.data;
 			if(update_aio(aio, event.res)){
 				do_aio(ctx, aio);
 				continue;
diff -puN arch/um/os-Linux/elf_aux.c~uml-remove-some-build-warnings arch/um/os-Linux/elf_aux.c
--- devel/arch/um/os-Linux/elf_aux.c~uml-remove-some-build-warnings	2005-09-14 22:25:07.000000000 -0700
+++ devel-akpm/arch/um/os-Linux/elf_aux.c	2005-09-14 22:25:07.000000000 -0700
@@ -9,6 +9,7 @@
  */
 #include <elf.h>
 #include <stddef.h>
+#include <asm/elf.h>
 #include "init.h"
 #include "elf_user.h"
 #include "mem_user.h"
@@ -54,7 +55,8 @@ __init void scan_elf_aux( char **envp)
                                  * a_un, so we have to use a_val, which is
                                  * all that's left.
                                  */
-				elf_aux_platform = (char *) auxv->a_un.a_val;
+				elf_aux_platform =
+					(char *) (long) auxv->a_un.a_val;
 				break;
 			case AT_PAGESZ:
 				page_size = auxv->a_un.a_val;
_
